Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 980842 - Data assignement to "Interface" ignored in "ServiceTask".
Summary: Data assignement to "Interface" ignored in "ServiceTask".
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: jBPM Core
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: DR6
: 6.0.0
Assignee: Maciej Swiderski
QA Contact: Marek Baluch
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-03 10:38 UTC by Marek Baluch
Modified: 2014-08-06 20:13 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-06 20:13:14 UTC
Type: Bug


Attachments (Terms of Use)
process definition (deleted)
2013-07-03 17:11 UTC, Marek Baluch
no flags Details

Description Marek Baluch 2013-07-03 10:38:07 UTC
An data assignment to "Interface" in ioSpecification is ignore when a interface definition is present in the process. It would be nice if the user would see a warning message that it is ignored.

{code}
<bpmn2:ioSpecification id="InputOutputSpecification_1">
        <bpmn2:dataInput id="DataInput_4" name="Interface"/>
...
</bpmn2:ioSpecification>
<bpmn2:dataInputAssociation id="DataInputAssociation_4">
        <bpmn2:targetRef>DataInput_4</bpmn2:targetRef>
        <bpmn2:assignment id="Assignment_4">
          <bpmn2:from xsi:type="bpmn2:tFormalExpression" id="FormalExpression_8">SimpleService</bpmn2:from>
          <bpmn2:to xsi:type="bpmn2:tFormalExpression" id="FormalExpression_7">DataInput_4</bpmn2:to>
        </bpmn2:assignment>
</bpmn2:dataInputAssociation>
{code}

Perhaps this ioSpecification part could be used in case the mandatory name attribute is missing in the interface element. The missing attribute is currently ignored by the validator.

Comment 1 Maciej Swiderski 2013-07-03 16:17:19 UTC
Marek, would it be possible to attach complete bpmn2 and if possible test case? But the most important is to have the bpmn2 itself. 

Thanks

Comment 2 Marek Baluch 2013-07-03 17:11:19 UTC
Created attachment 768350 [details]
process definition

Hi, sure. My apologies for not doing it right away.

Please note that the interface on line 11 is missing it's 'name' attribute. The implementation name is set on line 75 using the 'Interface' parameter. This parameter will be empty in the WebServiceWorkItemHandler.

Comment 3 Maciej Swiderski 2013-07-04 15:47:37 UTC
fixed in master, the issue was due to service task handler was overriding the assignments done by the TaskHandler and thus it appeared to be ignored as it was simply reset.

Please note that not all parameters should be possible to set via data input assignments, for example following is a list that cannot:
- implementation - it's bpmn2 regular attribute of serviceTask
- operationRef - it's bpmn2 regular attribute of serviceTask

Moreover Interface, Operation are not used by the WebService implementation as it relies directly on operationRef attribute instead to find the right operation and interface. Although they are completely valid for Java service task.

Comment 7 Marek Baluch 2013-09-18 13:17:35 UTC
Verified on ER3.


Note You need to log in before you can comment on or make changes to this bug.